package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目跟进计划对象 sur_project_plan
 * 
 * @author ruoyi
 * @date 2023-09-08
 */
public class SurProjectPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 建设规模及主要建设内容 */
    @Excel(name = "建设规模及主要建设内容")
    private String content;

    /** 建设性质 */
    @Excel(name = "建设性质")
    private String buildType;

    /** 包抓部门 */
    @Excel(name = "包抓部门")
    private String dept;

    /** 开工日期 */
    @Excel(name = "开工日期")
    private String startDate;

    /** 完工日期 */
    @Excel(name = "完工日期")
    private String endDate;

    /** 总投资（万元） */
    @Excel(name = "总投资", readConverterExp = "万=元")
    private Long totalInvestment;

    /** 年度投资（万元） */
    @Excel(name = "年度投资", readConverterExp = "万=元")
    private Long yearInvestment;

    /** 0-城建项目计划,1-重点项目计划 */
    @Excel(name = "0-城建项目计划,1-重点项目计划")
    private Long planType;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setBuildType(String buildType) 
    {
        this.buildType = buildType;
    }

    public String getBuildType() 
    {
        return buildType;
    }
    public void setDept(String dept) 
    {
        this.dept = dept;
    }

    public String getDept() 
    {
        return dept;
    }
    public void setStartDate(String startDate) 
    {
        this.startDate = startDate;
    }

    public String getStartDate() 
    {
        return startDate;
    }
    public void setEndDate(String endDate) 
    {
        this.endDate = endDate;
    }

    public String getEndDate() 
    {
        return endDate;
    }
    public void setTotalInvestment(Long totalInvestment) 
    {
        this.totalInvestment = totalInvestment;
    }

    public Long getTotalInvestment() 
    {
        return totalInvestment;
    }
    public void setYearInvestment(Long yearInvestment) 
    {
        this.yearInvestment = yearInvestment;
    }

    public Long getYearInvestment() 
    {
        return yearInvestment;
    }
    public void setPlanType(Long planType) 
    {
        this.planType = planType;
    }

    public Long getPlanType() 
    {
        return planType;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectName", getProjectName())
            .append("content", getContent())
            .append("buildType", getBuildType())
            .append("dept", getDept())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("totalInvestment", getTotalInvestment())
            .append("yearInvestment", getYearInvestment())
            .append("planType", getPlanType())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
